import axios from '../httpDice'

export default {
  /**
   * 获取随机数
   */
  getRandom (params) {
    return axios.get('user/random', { params })
  },
  /**
   * 登录
   */
  login (params) {
    return axios.post('user/login', params)
  },
  /**
   * 获取VIP信息
   */
  getVipInfo (params) {
    return axios.request({
      url: 'user/vipInfo',
      method: 'get',
      needLogin: true,
      params: params
    })
  }
}
